#!/bin/bash

git submodule update --init --recursive
git checkout ${branch_name#*/} --recurse-submodules
git pull
git submodule foreach --recursive 'branch="$(git config -f $toplevel/.gitmodules submodule.$name.branch)"; [ "$branch" = "" ] && git checkout master || git checkout $branch'
git submodule update --remote --merge
npm install
npm run bundle-ios
git submodule foreach --recursive '[ -n "$(git status -s)" ] && git add * && git commit -am "update reactnative static file" || :'
[ -n "$(git status -s)" ] && git commit -am "update directory"
#git push --recurse-submodules=on-demand
git submodule foreach 'git push' && git push
cd ios
